#include <string.h>
#include "common.h"

int
main(int argc, char **argv)
{
  FILE         *inFile, *outFile;
  UserRec       ur;
  byte          inRec[885];
  char          magic[ACUA_USERS_MAGIC_LEN];

  if (argc < 3)
    errQuit("acua202-radacua000 <source> <dest>");

  inFile = fopen(argv[1], "rb");
  if (!inFile)
    perrQuit("fopen(%s)", argv[1]);
  outFile = fopen(argv[2], "wb");
  if (!outFile)
    perrQuit("fopen(%s)", argv[2]);

  readConfig();

  // read the magic
  fread(magic, 1, 8, inFile);
  if (strcmp(magic, "ACUA202")) {
    errQuit("Magic # check failed for input file");
  }

  // write the magic
  fwrite(ACUA_USERS_MAGIC, 1, ACUA_USERS_MAGIC_LEN, outFile);

  // convert the user records
  while (fread(inRec, 885, 1, inFile)) {
    memset(&ur, 0, sizeof(ur));
    memcpy(&ur, &inRec, 885);
    fwrite(&ur, sizeof(UserRec), 1, outFile);
  }

  fclose(inFile);
  fclose(outFile);
  return 0;
}
